/* mosaic basics */
.mosaic-wrapper {
  overflow: auto;
  padding-bottom: 0.5rem;
  width: 100%;
  margin: auto;
  max-width: 1250px;
}
}
.piece-container {
  position: relative;
}
.piece {
  position: relative;
  float: left;
  box-sizing: border-box;
}
.piece:after {
  content: "";
  display: block;
  padding-bottom: 100%; /* The padding depends on the width, not on the height, so with a padding-bottom of 100% you will get a square */
}
.piece img {
  position: absolute; /* Take your picture out of the flow */
  top: 0;
  bottom: 0;
  left: 0;
  right: 0; /* Make the picture taking the size of it's parent */
  width: 100%; /* This if for the object-fit */
  height: 100%; /* This if for the object-fit */
  object-fit: cover; /* Equivalent of the background-size: cover; of a background-image */
  object-position: center;
}
.piece-position-container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  text-align: center;
  width: 100%;
  overflow: hidden;
}
.piece-position {
  width: 4rem;
  font-size: 2rem;
  line-height: 3.5rem;
  background: white;
  border-radius: 50%;
  height: 4rem;
  color: #003b70;
  border: 3px #003b70 solid;
  vertical-align: middle;
  display: inline-block;
}

/* mosaic decorations */
.piece-sold {
  width: 15%;
  height: 15%;
  border-radius: 50%;
  position: absolute;
  top: 2%;
  right: 2%;  
  box-shadow: inset 0 0 5px #fff, inset 5px 0 80px #f00;
}
.grayscale {
  filter: grayscale(100%);
}

/* lightbox */
.modal {
  display: none; 
  position: fixed; 
  z-index: 1; 
  padding-top: 100px; 
  left: 0 !important;
  top: 0 !important;
  width: 100% !important; 
  height: 100% !important; 
  overflow: auto; 
  background-color: rgb(0,0,0) !important; 
  background-color: rgba(0,0,0,0.9) !important; 
  margin-left: 0 !important;
}
.modal-content {
  margin: auto;
  display: block;
  width: fit-content;
  max-width: 500px !important;
}
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #fff;
  padding: 10px 0;
  font-size: 3rem;
  text-transform: uppercase;
}
.modal-content, #caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}
@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1 !important;
  font-size: 40px !important;
  font-weight: bold !important;
  transition: 0.3s;
  opacity: 1 !important;
}
.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}
@media only screen and (max-width: 700px){
  .modal-content {
    width: 100%;
  }
} 
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 3rem;
  transition: 0.6s ease;
  user-select: none;
  -webkit-user-select: none;
}
.next {
  right: 0;
}
.prev:hover,
.next:hover {
  color: #fff;
  text-decoration: none;
  font-size: 3.3rem;
}